
Redmine - Feature #28094

Kotlin code highlight support

2018-01-29 04:02 - Bruno Medeiros

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Kotlin usage is growing recently and I have quite a few projects in this language already, so I'd love to see my .kt files coloured in the

repository view.

PS.: I know we rely on CodeRay for that, so I tried to raise a feature request there as well, but it seems their email infrastructure is

not working, I couldn't create my account :(

Related issues:

Related to Redmine - Feature #24681: Syntax highlighter: replace CodeRay with... Closed

History

#1 - 2018-01-29 04:09 - Go MAEDA

- Related to Feature #24681: Syntax highlighter: replace CodeRay with Rouge added

#2 - 2018-01-29 04:09 - Go MAEDA

- Category set to Text formatting

#3 - 2018-01-30 04:53 - Mischa The Evil

Bruno Medeiros wrote:

PS.: I know we rely on CodeRay for that, so I tried to raise a feature request there as well, but it seems their email infrastructure is not working, I

couldn't create my account :(

FWIW:

see https://github.com/rubychan/coderay/pull/213 for a Kotlin scanner implementation;

CodeRay's own Redmine instance has been phased out AFAIK. All tracking is done via GitHub.

#4 - 2018-09-29 10:17 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented in #24681 for upcoming Redmine 4.0.0.
